.key {
  margin: 0 0.12rem;
  margin-bottom: 0.3rem;
  padding: 0.8rem 0.6rem;
  display: inline-block;
  background-color: #d3d6da;
  border-radius: 0.5rem;
  font-size: 170%;
  width: 1.3rem;
  text-align: center;

  &:not(.touched):hover {
    background-color: #adb5bd;
  }
}

span {
  transform: translate(0, 50%);
  user-select: none;
}

.touched:not(.answer) {
  animation-name: failTransition;
  animation-duration: 0.5s;
  background-color: #787c7e;
  color: white;
}

.answer {
  animation-name: winTransition;
  animation-duration: 0.5s;
  background-color: #6aaa64;
  color: white;
}

@keyframes failTransition {
  from {
    background-color: #ced4da;
    color: black;
  }
  to {
    background-color: #787c7e;
    color: white;
  }
}

@keyframes winTransition {
  from {
    background-color: #ced4da;
    color: black;
  }
  to {
    background-color: #6aaa64;
    color: white;
  }
}


